Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Coinbase Prime API
cURL
curl --request GET \ --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances
import requests url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances") .asString();
require 'uri' require 'net/http' url = URI("https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
{ "balances": [ { "asset": { "network": "<string>", "contract_address": "<string>", "symbol": "<string>", "token_id": "<string>", "name": "<string>" }, "amount": "109.42", "visibility_status": "VISIBLE" } ], "pagination": { "next_cursor": "<string>", "sort_direction": "DESC", "has_next": true }, "defi_balances": [ { "network": "<string>", "protocol": "<string>", "net_usd_value": "<string>" } ] }
Query balances for a specific onchain wallet.
Portfolio to retrieve balances for.
Onchain wallet to retrieve balances for.
Visibility statuses to filter balances on. Leaving this field empty will return only VISIBLE balances.
VISIBLE
HIDDEN
SPAM
Id to retrieve additional results strictly after
Number of items to retrieve. Defaults to 100 with a max size of 500.
A successful response.
Show child attributes
DeFi balances only return for the initial request. No pagination support.
Was this page helpful?